pragma Ada_95;
pragma Warnings (Off);
with System;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 7.0.1 20170204 (Red Hat 7.0.1-0.6)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gdialog" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#289970dc#;
   pragma Export (C, u00001, "gdialogB");
   u00002 : constant Version_32 := 16#b6df930e#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#5bd3bf5d#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#e51537a7#;
   pragma Export (C, u00005, "ada__command_lineB");
   u00006 : constant Version_32 := 16#9c1a321d#;
   pragma Export (C, u00006, "ada__command_lineS");
   u00007 : constant Version_32 := 16#6326c08a#;
   pragma Export (C, u00007, "systemS");
   u00008 : constant Version_32 := 16#30ad09e5#;
   pragma Export (C, u00008, "system__secondary_stackB");
   u00009 : constant Version_32 := 16#d9b43ff0#;
   pragma Export (C, u00009, "system__secondary_stackS");
   u00010 : constant Version_32 := 16#b01dad17#;
   pragma Export (C, u00010, "system__parametersB");
   u00011 : constant Version_32 := 16#1d0ccdf5#;
   pragma Export (C, u00011, "system__parametersS");
   u00012 : constant Version_32 := 16#4e7785b8#;
   pragma Export (C, u00012, "system__soft_linksB");
   u00013 : constant Version_32 := 16#fda218df#;
   pragma Export (C, u00013, "system__soft_linksS");
   u00014 : constant Version_32 := 16#e7214354#;
   pragma Export (C, u00014, "ada__exceptionsB");
   u00015 : constant Version_32 := 16#4b8b8db1#;
   pragma Export (C, u00015, "ada__exceptionsS");
   u00016 : constant Version_32 := 16#e947e6a9#;
   pragma Export (C, u00016, "ada__exceptions__last_chance_handlerB");
   u00017 : constant Version_32 := 16#41e5552e#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerS");
   u00018 : constant Version_32 := 16#87a448ff#;
   pragma Export (C, u00018, "system__exception_tableB");
   u00019 : constant Version_32 := 16#3e88a9c8#;
   pragma Export (C, u00019, "system__exception_tableS");
   u00020 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00020, "system__exceptionsB");
   u00021 : constant Version_32 := 16#0b45ad7c#;
   pragma Export (C, u00021, "system__exceptionsS");
   u00022 : constant Version_32 := 16#843d48dc#;
   pragma Export (C, u00022, "system__exceptions__machineS");
   u00023 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00023, "system__exceptions_debugB");
   u00024 : constant Version_32 := 16#1dac394e#;
   pragma Export (C, u00024, "system__exceptions_debugS");
   u00025 : constant Version_32 := 16#6c2f8802#;
   pragma Export (C, u00025, "system__img_intB");
   u00026 : constant Version_32 := 16#61fd2048#;
   pragma Export (C, u00026, "system__img_intS");
   u00027 : constant Version_32 := 16#f103f468#;
   pragma Export (C, u00027, "system__storage_elementsB");
   u00028 : constant Version_32 := 16#4ee58a8e#;
   pragma Export (C, u00028, "system__storage_elementsS");
   u00029 : constant Version_32 := 16#39df8c17#;
   pragma Export (C, u00029, "system__tracebackB");
   u00030 : constant Version_32 := 16#3d041e4e#;
   pragma Export (C, u00030, "system__tracebackS");
   u00031 : constant Version_32 := 16#9ed49525#;
   pragma Export (C, u00031, "system__traceback_entriesB");
   u00032 : constant Version_32 := 16#637d36fa#;
   pragma Export (C, u00032, "system__traceback_entriesS");
   u00033 : constant Version_32 := 16#6fd210f2#;
   pragma Export (C, u00033, "system__traceback__symbolicB");
   u00034 : constant Version_32 := 16#dd19f67a#;
   pragma Export (C, u00034, "system__traceback__symbolicS");
   u00035 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00035, "ada__exceptions__tracebackB");
   u00036 : constant Version_32 := 16#20245e75#;
   pragma Export (C, u00036, "ada__exceptions__tracebackS");
   u00037 : constant Version_32 := 16#9f00b3d3#;
   pragma Export (C, u00037, "system__address_imageB");
   u00038 : constant Version_32 := 16#c2ca5db0#;
   pragma Export (C, u00038, "system__address_imageS");
   u00039 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00039, "system__wch_conB");
   u00040 : constant Version_32 := 16#785be258#;
   pragma Export (C, u00040, "system__wch_conS");
   u00041 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00041, "system__wch_stwB");
   u00042 : constant Version_32 := 16#554ace59#;
   pragma Export (C, u00042, "system__wch_stwS");
   u00043 : constant Version_32 := 16#a831679c#;
   pragma Export (C, u00043, "system__wch_cnvB");
   u00044 : constant Version_32 := 16#77ec58ab#;
   pragma Export (C, u00044, "system__wch_cnvS");
   u00045 : constant Version_32 := 16#5ab55268#;
   pragma Export (C, u00045, "interfacesS");
   u00046 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00046, "system__wch_jisB");
   u00047 : constant Version_32 := 16#f79c418a#;
   pragma Export (C, u00047, "system__wch_jisS");
   u00048 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00048, "system__stack_checkingB");
   u00049 : constant Version_32 := 16#ed99ab62#;
   pragma Export (C, u00049, "system__stack_checkingS");
   u00050 : constant Version_32 := 16#e6d4fa36#;
   pragma Export (C, u00050, "ada__stringsS");
   u00051 : constant Version_32 := 16#e5480ede#;
   pragma Export (C, u00051, "ada__strings__fixedB");
   u00052 : constant Version_32 := 16#a86b22b3#;
   pragma Export (C, u00052, "ada__strings__fixedS");
   u00053 : constant Version_32 := 16#e2ea8656#;
   pragma Export (C, u00053, "ada__strings__mapsB");
   u00054 : constant Version_32 := 16#1e526bec#;
   pragma Export (C, u00054, "ada__strings__mapsS");
   u00055 : constant Version_32 := 16#cc4ff587#;
   pragma Export (C, u00055, "system__bit_opsB");
   u00056 : constant Version_32 := 16#0765e3a3#;
   pragma Export (C, u00056, "system__bit_opsS");
   u00057 : constant Version_32 := 16#57a0bc09#;
   pragma Export (C, u00057, "system__unsigned_typesS");
   u00058 : constant Version_32 := 16#5b4659fa#;
   pragma Export (C, u00058, "ada__charactersS");
   u00059 : constant Version_32 := 16#4b7bb96a#;
   pragma Export (C, u00059, "ada__characters__latin_1S");
   u00060 : constant Version_32 := 16#45c9251c#;
   pragma Export (C, u00060, "ada__strings__searchB");
   u00061 : constant Version_32 := 16#c1ab8667#;
   pragma Export (C, u00061, "ada__strings__searchS");
   u00062 : constant Version_32 := 16#92f05f13#;
   pragma Export (C, u00062, "ada__strings__maps__constantsS");
   u00063 : constant Version_32 := 16#3d17c74c#;
   pragma Export (C, u00063, "ada__tagsB");
   u00064 : constant Version_32 := 16#5a4e344a#;
   pragma Export (C, u00064, "ada__tagsS");
   u00065 : constant Version_32 := 16#c3335bfd#;
   pragma Export (C, u00065, "system__htableB");
   u00066 : constant Version_32 := 16#e7e47360#;
   pragma Export (C, u00066, "system__htableS");
   u00067 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00067, "system__string_hashB");
   u00068 : constant Version_32 := 16#45ba181e#;
   pragma Export (C, u00068, "system__string_hashS");
   u00069 : constant Version_32 := 16#afdbf393#;
   pragma Export (C, u00069, "system__val_lluB");
   u00070 : constant Version_32 := 16#2d52eb7b#;
   pragma Export (C, u00070, "system__val_lluS");
   u00071 : constant Version_32 := 16#27b600b2#;
   pragma Export (C, u00071, "system__val_utilB");
   u00072 : constant Version_32 := 16#cf867674#;
   pragma Export (C, u00072, "system__val_utilS");
   u00073 : constant Version_32 := 16#d1060688#;
   pragma Export (C, u00073, "system__case_utilB");
   u00074 : constant Version_32 := 16#472fa95d#;
   pragma Export (C, u00074, "system__case_utilS");
   u00075 : constant Version_32 := 16#1d1c6062#;
   pragma Export (C, u00075, "ada__text_ioB");
   u00076 : constant Version_32 := 16#c4f75f1e#;
   pragma Export (C, u00076, "ada__text_ioS");
   u00077 : constant Version_32 := 16#10558b11#;
   pragma Export (C, u00077, "ada__streamsB");
   u00078 : constant Version_32 := 16#67e31212#;
   pragma Export (C, u00078, "ada__streamsS");
   u00079 : constant Version_32 := 16#92d882c5#;
   pragma Export (C, u00079, "ada__io_exceptionsS");
   u00080 : constant Version_32 := 16#4c01b69c#;
   pragma Export (C, u00080, "interfaces__c_streamsB");
   u00081 : constant Version_32 := 16#b1330297#;
   pragma Export (C, u00081, "interfaces__c_streamsS");
   u00082 : constant Version_32 := 16#13b71684#;
   pragma Export (C, u00082, "system__crtlS");
   u00083 : constant Version_32 := 16#d542d957#;
   pragma Export (C, u00083, "system__file_ioB");
   u00084 : constant Version_32 := 16#c45721ef#;
   pragma Export (C, u00084, "system__file_ioS");
   u00085 : constant Version_32 := 16#86c56e5a#;
   pragma Export (C, u00085, "ada__finalizationS");
   u00086 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00086, "system__finalization_rootB");
   u00087 : constant Version_32 := 16#2cd4b31a#;
   pragma Export (C, u00087, "system__finalization_rootS");
   u00088 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00088, "interfaces__cB");
   u00089 : constant Version_32 := 16#70be4e8c#;
   pragma Export (C, u00089, "interfaces__cS");
   u00090 : constant Version_32 := 16#b0693753#;
   pragma Export (C, u00090, "system__os_libB");
   u00091 : constant Version_32 := 16#5913ca02#;
   pragma Export (C, u00091, "system__os_libS");
   u00092 : constant Version_32 := 16#1a817b8e#;
   pragma Export (C, u00092, "system__stringsB");
   u00093 : constant Version_32 := 16#1d99d1ec#;
   pragma Export (C, u00093, "system__stringsS");
   u00094 : constant Version_32 := 16#9eb95a22#;
   pragma Export (C, u00094, "system__file_control_blockS");
   u00095 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00095, "gnatS");
   u00096 : constant Version_32 := 16#266b1267#;
   pragma Export (C, u00096, "gnat__os_libS");
   u00097 : constant Version_32 := 16#80b4ef8c#;
   pragma Export (C, u00097, "gtkS");
   u00098 : constant Version_32 := 16#f64d28ae#;
   pragma Export (C, u00098, "gdkS");
   u00099 : constant Version_32 := 16#8f6a0f24#;
   pragma Export (C, u00099, "glibB");
   u00100 : constant Version_32 := 16#f851d4d4#;
   pragma Export (C, u00100, "glibS");
   u00101 : constant Version_32 := 16#7336a31d#;
   pragma Export (C, u00101, "interfaces__c__stringsB");
   u00102 : constant Version_32 := 16#603c1c44#;
   pragma Export (C, u00102, "interfaces__c__stringsS");
   u00103 : constant Version_32 := 16#6abe5dbe#;
   pragma Export (C, u00103, "system__finalization_mastersB");
   u00104 : constant Version_32 := 16#38daf940#;
   pragma Export (C, u00104, "system__finalization_mastersS");
   u00105 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00105, "system__img_boolB");
   u00106 : constant Version_32 := 16#96ffb161#;
   pragma Export (C, u00106, "system__img_boolS");
   u00107 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00107, "system__ioB");
   u00108 : constant Version_32 := 16#fd6437c5#;
   pragma Export (C, u00108, "system__ioS");
   u00109 : constant Version_32 := 16#6d4d969a#;
   pragma Export (C, u00109, "system__storage_poolsB");
   u00110 : constant Version_32 := 16#40cb5e27#;
   pragma Export (C, u00110, "system__storage_poolsS");
   u00111 : constant Version_32 := 16#5a895de2#;
   pragma Export (C, u00111, "system__pool_globalB");
   u00112 : constant Version_32 := 16#7141203e#;
   pragma Export (C, u00112, "system__pool_globalS");
   u00113 : constant Version_32 := 16#a6359005#;
   pragma Export (C, u00113, "system__memoryB");
   u00114 : constant Version_32 := 16#3a5ba6be#;
   pragma Export (C, u00114, "system__memoryS");
   u00115 : constant Version_32 := 16#a2250034#;
   pragma Export (C, u00115, "system__storage_pools__subpoolsB");
   u00116 : constant Version_32 := 16#cc5a1856#;
   pragma Export (C, u00116, "system__storage_pools__subpoolsS");
   u00117 : constant Version_32 := 16#9aad1ff1#;
   pragma Export (C, u00117, "system__storage_pools__subpools__finalizationB");
   u00118 : constant Version_32 := 16#fe2f4b3a#;
   pragma Export (C, u00118, "system__storage_pools__subpools__finalizationS");
   u00119 : constant Version_32 := 16#3fbee080#;
   pragma Export (C, u00119, "glib__objectB");
   u00120 : constant Version_32 := 16#c6371ef1#;
   pragma Export (C, u00120, "glib__objectS");
   u00121 : constant Version_32 := 16#398f61a7#;
   pragma Export (C, u00121, "glib__type_conversion_hooksB");
   u00122 : constant Version_32 := 16#445b1475#;
   pragma Export (C, u00122, "glib__type_conversion_hooksS");
   u00123 : constant Version_32 := 16#57aea1c7#;
   pragma Export (C, u00123, "gtkadaS");
   u00124 : constant Version_32 := 16#2723aba6#;
   pragma Export (C, u00124, "gtkada__bindingsB");
   u00125 : constant Version_32 := 16#f468c034#;
   pragma Export (C, u00125, "gtkada__bindingsS");
   u00126 : constant Version_32 := 16#b4645806#;
   pragma Export (C, u00126, "gnat__stringsS");
   u00127 : constant Version_32 := 16#100afe53#;
   pragma Export (C, u00127, "gtkada__cB");
   u00128 : constant Version_32 := 16#0a995439#;
   pragma Export (C, u00128, "gtkada__cS");
   u00129 : constant Version_32 := 16#6fb6efdc#;
   pragma Export (C, u00129, "gtkada__typesB");
   u00130 : constant Version_32 := 16#d40fa06f#;
   pragma Export (C, u00130, "gtkada__typesS");
   u00131 : constant Version_32 := 16#2d0faf9d#;
   pragma Export (C, u00131, "glib__glistB");
   u00132 : constant Version_32 := 16#09c43cb7#;
   pragma Export (C, u00132, "glib__glistS");
   u00133 : constant Version_32 := 16#3b2e7eed#;
   pragma Export (C, u00133, "glib__gslistB");
   u00134 : constant Version_32 := 16#e3850bf8#;
   pragma Export (C, u00134, "glib__gslistS");
   u00135 : constant Version_32 := 16#3c420900#;
   pragma Export (C, u00135, "system__stream_attributesB");
   u00136 : constant Version_32 := 16#8bc30a4e#;
   pragma Export (C, u00136, "system__stream_attributesS");
   u00137 : constant Version_32 := 16#8b0f7857#;
   pragma Export (C, u00137, "gtk__enumsB");
   u00138 : constant Version_32 := 16#97313537#;
   pragma Export (C, u00138, "gtk__enumsS");
   u00139 : constant Version_32 := 16#1ffe738c#;
   pragma Export (C, u00139, "glib__generic_propertiesB");
   u00140 : constant Version_32 := 16#0dfedcb1#;
   pragma Export (C, u00140, "glib__generic_propertiesS");
   u00141 : constant Version_32 := 16#0e2b843e#;
   pragma Export (C, u00141, "glib__valuesB");
   u00142 : constant Version_32 := 16#fb4561e2#;
   pragma Export (C, u00142, "glib__valuesS");
   u00143 : constant Version_32 := 16#6025fc64#;
   pragma Export (C, u00143, "gtk__mainB");
   u00144 : constant Version_32 := 16#c049a58c#;
   pragma Export (C, u00144, "gtk__mainS");
   u00145 : constant Version_32 := 16#e6c57dae#;
   pragma Export (C, u00145, "gdk__typesS");
   u00146 : constant Version_32 := 16#eaf61126#;
   pragma Export (C, u00146, "gdk__eventB");
   u00147 : constant Version_32 := 16#b88ad2f1#;
   pragma Export (C, u00147, "gdk__eventS");
   u00148 : constant Version_32 := 16#6f422833#;
   pragma Export (C, u00148, "gdk__rectangleB");
   u00149 : constant Version_32 := 16#3ace198e#;
   pragma Export (C, u00149, "gdk__rectangleS");
   u00150 : constant Version_32 := 16#a738a1a3#;
   pragma Export (C, u00150, "cairoB");
   u00151 : constant Version_32 := 16#24e5ee3d#;
   pragma Export (C, u00151, "cairoS");
   u00152 : constant Version_32 := 16#50ae1241#;
   pragma Export (C, u00152, "cairo__regionB");
   u00153 : constant Version_32 := 16#3ad35712#;
   pragma Export (C, u00153, "cairo__regionS");
   u00154 : constant Version_32 := 16#b7ed16af#;
   pragma Export (C, u00154, "gdk__windowB");
   u00155 : constant Version_32 := 16#cc19e9bf#;
   pragma Export (C, u00155, "gdk__windowS");
   u00156 : constant Version_32 := 16#4a1f4c2f#;
   pragma Export (C, u00156, "gtk__widgetB");
   u00157 : constant Version_32 := 16#d6a48c17#;
   pragma Export (C, u00157, "gtk__widgetS");
   u00158 : constant Version_32 := 16#c659bfd5#;
   pragma Export (C, u00158, "gdk__colorB");
   u00159 : constant Version_32 := 16#be8c9938#;
   pragma Export (C, u00159, "gdk__colorS");
   u00160 : constant Version_32 := 16#cf3c2289#;
   pragma Export (C, u00160, "gdk__visualB");
   u00161 : constant Version_32 := 16#5bbc04ce#;
   pragma Export (C, u00161, "gdk__visualS");
   u00162 : constant Version_32 := 16#d9ef5274#;
   pragma Export (C, u00162, "gtk__styleB");
   u00163 : constant Version_32 := 16#adc59eaa#;
   pragma Export (C, u00163, "gtk__styleS");
   u00164 : constant Version_32 := 16#d3c8e76d#;
   pragma Export (C, u00164, "pangoS");
   u00165 : constant Version_32 := 16#7e92ca7e#;
   pragma Export (C, u00165, "pango__fontB");
   u00166 : constant Version_32 := 16#3306a804#;
   pragma Export (C, u00166, "pango__fontS");
   u00167 : constant Version_32 := 16#853ec0b7#;
   pragma Export (C, u00167, "pango__enumsB");
   u00168 : constant Version_32 := 16#f3fe5737#;
   pragma Export (C, u00168, "pango__enumsS");
   u00169 : constant Version_32 := 16#41ff97f6#;
   pragma Export (C, u00169, "gdk__fontB");
   u00170 : constant Version_32 := 16#36f135f3#;
   pragma Export (C, u00170, "gdk__fontS");
   u00171 : constant Version_32 := 16#1b42942c#;
   pragma Export (C, u00171, "gdk__gcB");
   u00172 : constant Version_32 := 16#17b10250#;
   pragma Export (C, u00172, "gdk__gcS");
   u00173 : constant Version_32 := 16#817e8989#;
   pragma Export (C, u00173, "gdk__regionB");
   u00174 : constant Version_32 := 16#c39790b5#;
   pragma Export (C, u00174, "gdk__regionS");
   u00175 : constant Version_32 := 16#967a1c94#;
   pragma Export (C, u00175, "gdk__pixmapB");
   u00176 : constant Version_32 := 16#af0526c2#;
   pragma Export (C, u00176, "gdk__pixmapS");
   u00177 : constant Version_32 := 16#ed02b600#;
   pragma Export (C, u00177, "gdk__bitmapB");
   u00178 : constant Version_32 := 16#f567db9b#;
   pragma Export (C, u00178, "gdk__bitmapS");
   u00179 : constant Version_32 := 16#fff427e1#;
   pragma Export (C, u00179, "gtk__objectB");
   u00180 : constant Version_32 := 16#4e072ff5#;
   pragma Export (C, u00180, "gtk__objectS");
   u00181 : constant Version_32 := 16#17a869e9#;
   pragma Export (C, u00181, "glib__propertiesB");
   u00182 : constant Version_32 := 16#2610c5c0#;
   pragma Export (C, u00182, "glib__propertiesS");
   u00183 : constant Version_32 := 16#f5bb773f#;
   pragma Export (C, u00183, "pango__layoutB");
   u00184 : constant Version_32 := 16#32af7128#;
   pragma Export (C, u00184, "pango__layoutS");
   u00185 : constant Version_32 := 16#c0be7ba1#;
   pragma Export (C, u00185, "pango__attributesB");
   u00186 : constant Version_32 := 16#666d7227#;
   pragma Export (C, u00186, "pango__attributesS");
   u00187 : constant Version_32 := 16#d6e77cb5#;
   pragma Export (C, u00187, "pango__contextB");
   u00188 : constant Version_32 := 16#df5146b2#;
   pragma Export (C, u00188, "pango__contextS");
   u00189 : constant Version_32 := 16#f1493a4a#;
   pragma Export (C, u00189, "pango__tabsB");
   u00190 : constant Version_32 := 16#c159aa01#;
   pragma Export (C, u00190, "pango__tabsS");
   u00191 : constant Version_32 := 16#8bde1628#;
   pragma Export (C, u00191, "gtk__windowB");
   u00192 : constant Version_32 := 16#64f6f30a#;
   pragma Export (C, u00192, "gtk__windowS");
   u00193 : constant Version_32 := 16#69f90ada#;
   pragma Export (C, u00193, "gdk__pixbufB");
   u00194 : constant Version_32 := 16#f81921eb#;
   pragma Export (C, u00194, "gdk__pixbufS");
   u00195 : constant Version_32 := 16#c203efba#;
   pragma Export (C, u00195, "gdk__cursorB");
   u00196 : constant Version_32 := 16#a5c39181#;
   pragma Export (C, u00196, "gdk__cursorS");
   u00197 : constant Version_32 := 16#1297e7d6#;
   pragma Export (C, u00197, "gdk__displayB");
   u00198 : constant Version_32 := 16#a37ccb2a#;
   pragma Export (C, u00198, "gdk__displayS");
   u00199 : constant Version_32 := 16#5862bb7c#;
   pragma Export (C, u00199, "gdk__drawableB");
   u00200 : constant Version_32 := 16#5ab47d3c#;
   pragma Export (C, u00200, "gdk__drawableS");
   u00201 : constant Version_32 := 16#38eac4f7#;
   pragma Export (C, u00201, "gdk__rgbB");
   u00202 : constant Version_32 := 16#d376c0c2#;
   pragma Export (C, u00202, "gdk__rgbS");
   u00203 : constant Version_32 := 16#20806ff5#;
   pragma Export (C, u00203, "glib__errorB");
   u00204 : constant Version_32 := 16#ef11e73d#;
   pragma Export (C, u00204, "glib__errorS");
   u00205 : constant Version_32 := 16#4105bdf9#;
   pragma Export (C, u00205, "gtk__accel_groupB");
   u00206 : constant Version_32 := 16#c1d3ea52#;
   pragma Export (C, u00206, "gtk__accel_groupS");
   u00207 : constant Version_32 := 16#a197cf03#;
   pragma Export (C, u00207, "gtk__binB");
   u00208 : constant Version_32 := 16#49646a83#;
   pragma Export (C, u00208, "gtk__binS");
   u00209 : constant Version_32 := 16#a5ee2e3a#;
   pragma Export (C, u00209, "glib__typesB");
   u00210 : constant Version_32 := 16#b190032c#;
   pragma Export (C, u00210, "glib__typesS");
   u00211 : constant Version_32 := 16#21574a83#;
   pragma Export (C, u00211, "gtk__buildableB");
   u00212 : constant Version_32 := 16#91a889d8#;
   pragma Export (C, u00212, "gtk__buildableS");
   u00213 : constant Version_32 := 16#8bd11e4c#;
   pragma Export (C, u00213, "gtk__builderB");
   u00214 : constant Version_32 := 16#571b8753#;
   pragma Export (C, u00214, "gtk__builderS");
   u00215 : constant Version_32 := 16#e867d385#;
   pragma Export (C, u00215, "gtk__containerB");
   u00216 : constant Version_32 := 16#fe9a550d#;
   pragma Export (C, u00216, "gtk__containerS");
   u00217 : constant Version_32 := 16#d43b17a9#;
   pragma Export (C, u00217, "gtk__adjustmentB");
   u00218 : constant Version_32 := 16#87a9fd8d#;
   pragma Export (C, u00218, "gtk__adjustmentS");
   u00219 : constant Version_32 := 16#700df112#;
   pragma Export (C, u00219, "gtkada__dialogsB");
   u00220 : constant Version_32 := 16#95807dbe#;
   pragma Export (C, u00220, "gtkada__dialogsS");
   u00221 : constant Version_32 := 16#ac830e6e#;
   pragma Export (C, u00221, "gtk__boxB");
   u00222 : constant Version_32 := 16#3eadf058#;
   pragma Export (C, u00222, "gtk__boxS");
   u00223 : constant Version_32 := 16#04c07fef#;
   pragma Export (C, u00223, "gtk__orientableB");
   u00224 : constant Version_32 := 16#2882c3d4#;
   pragma Export (C, u00224, "gtk__orientableS");
   u00225 : constant Version_32 := 16#dc38657a#;
   pragma Export (C, u00225, "gtk__labelB");
   u00226 : constant Version_32 := 16#443eed3e#;
   pragma Export (C, u00226, "gtk__labelS");
   u00227 : constant Version_32 := 16#73990cc1#;
   pragma Export (C, u00227, "gtk__miscB");
   u00228 : constant Version_32 := 16#28c2780b#;
   pragma Export (C, u00228, "gtk__miscS");
   u00229 : constant Version_32 := 16#a637cc25#;
   pragma Export (C, u00229, "gtk__pixmapB");
   u00230 : constant Version_32 := 16#582aa316#;
   pragma Export (C, u00230, "gtk__pixmapS");
   u00231 : constant Version_32 := 16#b79d1f70#;
   pragma Export (C, u00231, "gtkada__intlB");
   u00232 : constant Version_32 := 16#d1bbb778#;
   pragma Export (C, u00232, "gtkada__intlS");
   u00233 : constant Version_32 := 16#95e49ce1#;
   pragma Export (C, u00233, "gtkada__pixmapsS");
   u00234 : constant Version_32 := 16#94fe1c6e#;
   pragma Export (C, u00234, "gtk__dialogB");
   u00235 : constant Version_32 := 16#8fa4d0bf#;
   pragma Export (C, u00235, "gtk__dialogS");
   u00236 : constant Version_32 := 16#18e0e51c#;
   pragma Export (C, u00236, "system__img_enum_newB");
   u00237 : constant Version_32 := 16#026ac64a#;
   pragma Export (C, u00237, "system__img_enum_newS");
   u00238 : constant Version_32 := 16#83947c18#;
   pragma Export (C, u00238, "system__val_enumB");
   u00239 : constant Version_32 := 16#d83c821f#;
   pragma Export (C, u00239, "system__val_enumS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.characters%s
   --  ada.characters.latin_1%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.case_util%s
   --  system.case_util%b
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  gnat.strings%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.wch_stw%s
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  ada.exceptions%s
   --  system.wch_stw%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.last_chance_handler%s
   --  system.soft_links%s
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.secondary_stack%s
   --  system.address_image%s
   --  system.memory%s
   --  system.memory%b
   --  ada.exceptions.traceback%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  system.exceptions.machine%s
   --  ada.exceptions.last_chance_handler%b
   --  system.soft_links%b
   --  system.secondary_stack%b
   --  system.address_image%b
   --  system.standard_library%b
   --  ada.exceptions%b
   --  ada.command_line%s
   --  ada.command_line%b
   --  ada.io_exceptions%s
   --  ada.strings%s
   --  interfaces.c%s
   --  interfaces.c%b
   --  interfaces.c.strings%s
   --  interfaces.c.strings%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.os_lib%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_enum%s
   --  system.val_enum%b
   --  system.val_llu%s
   --  system.val_llu%b
   --  ada.tags%s
   --  ada.tags%b
   --  ada.streams%s
   --  ada.streams%b
   --  system.file_control_block%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  system.file_io%s
   --  system.file_io%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.finalization_masters%b
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.storage_pools.subpools%b
   --  system.stream_attributes%s
   --  system.stream_attributes%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  system.bit_ops%s
   --  system.bit_ops%b
   --  ada.strings.maps%s
   --  ada.strings.maps%b
   --  ada.strings.maps.constants%s
   --  ada.strings.search%s
   --  ada.strings.search%b
   --  ada.strings.fixed%s
   --  ada.strings.fixed%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  glib%s
   --  glib%b
   --  gdk%s
   --  glib.error%s
   --  glib.error%b
   --  gtkada%s
   --  gtkada.intl%s
   --  gtkada.intl%b
   --  gtkada.types%s
   --  gtkada.types%b
   --  pango%s
   --  cairo%s
   --  cairo%b
   --  cairo.region%s
   --  cairo.region%b
   --  gdk.rectangle%s
   --  gdk.rectangle%b
   --  glib.glist%s
   --  glib.glist%b
   --  gdk.visual%s
   --  gdk.visual%b
   --  glib.gslist%s
   --  glib.gslist%b
   --  gtkada.c%s
   --  gtkada.c%b
   --  gtkada.bindings%s
   --  gtkada.bindings%b
   --  glib.object%s
   --  glib.type_conversion_hooks%s
   --  glib.type_conversion_hooks%b
   --  glib.object%b
   --  glib.types%s
   --  glib.types%b
   --  glib.values%s
   --  glib.values%b
   --  glib.generic_properties%s
   --  glib.generic_properties%b
   --  gdk.color%s
   --  gdk.color%b
   --  gdk.cursor%s
   --  gdk.cursor%b
   --  gdk.types%s
   --  gdk.region%s
   --  gdk.region%b
   --  glib.properties%s
   --  glib.properties%b
   --  gtk%s
   --  gtk.accel_group%s
   --  gtk.accel_group%b
   --  gtk.enums%s
   --  gtk.enums%b
   --  gtk.object%s
   --  gtk.object%b
   --  gtk.adjustment%s
   --  gtk.adjustment%b
   --  gtk.orientable%s
   --  gtk.orientable%b
   --  gtkada.pixmaps%s
   --  pango.enums%s
   --  pango.enums%b
   --  pango.attributes%s
   --  pango.attributes%b
   --  pango.font%s
   --  pango.font%b
   --  gdk.font%s
   --  gdk.font%b
   --  gdk.gc%s
   --  gdk.gc%b
   --  pango.context%s
   --  pango.context%b
   --  pango.tabs%s
   --  pango.tabs%b
   --  pango.layout%s
   --  pango.layout%b
   --  gdk.drawable%s
   --  gdk.drawable%b
   --  gdk.rgb%s
   --  gdk.rgb%b
   --  gdk.event%s
   --  gdk.window%s
   --  gdk.bitmap%s
   --  gdk.bitmap%b
   --  gdk.pixmap%s
   --  gdk.pixmap%b
   --  gtk.style%s
   --  gtk.style%b
   --  gdk.event%b
   --  gdk.display%s
   --  gdk.display%b
   --  gdk.pixbuf%s
   --  gdk.pixbuf%b
   --  gtk.widget%s
   --  gtk.builder%s
   --  gtk.builder%b
   --  gtk.buildable%s
   --  gtk.buildable%b
   --  gdk.window%b
   --  gtk.container%s
   --  gtk.container%b
   --  gtk.bin%s
   --  gtk.bin%b
   --  gtk.window%s
   --  gtk.window%b
   --  gtk.widget%b
   --  gtk.box%s
   --  gtk.box%b
   --  gtk.dialog%s
   --  gtk.dialog%b
   --  gtk.main%s
   --  gtk.main%b
   --  gtk.misc%s
   --  gtk.misc%b
   --  gtk.label%s
   --  gtk.label%b
   --  gtk.pixmap%s
   --  gtk.pixmap%b
   --  gtkada.dialogs%s
   --  gtkada.dialogs%b
   --  gdialog%b
   --  END ELABORATION ORDER


end ada_main;
